### Method

# Gtk TreeViewinsert_column_with_data_func

deprecated: 4.10

#### Declaration [src]

    int
    gtk_tree_view_insert_column_with_data_func (
      GtkTreeView* tree_view,
      int position,
      const char* title,
      GtkCellRenderer* cell,
      GtkTreeCellDataFunc func,
      gpointer data,
      GDestroyNotify dnotify
    )

#### Description [src]

Convenience function that inserts a new column into the `GtkTreeView` with the given cell renderer and a `GtkTreeCellDataFunc` to set cell renderer attributes (normally using data from the model). See also gtk_tree_view_column_set_cell_data_func(), gtk_tree_view_column_pack_start(). If `tree_view` has “fixed_height” mode enabled, then the new column will have its “sizing” property set to be GTK_TREE_VIEW_COLUMN_FIXED.

Deprecated since: 4.10

Use `GtkListView` or `GtkColumnView` instead.

#### Parameters

`position`

  Type: `int`

  Position to insert, -1 for append.

`title`

  Type: `const char*`

  Column title.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`cell`

  Type: `GtkCellRenderer`

  Cell renderer for column.

  The data is owned by the caller of the method.

`func`

  Type: `GtkTreeCellDataFunc`

  Function to set attributes of cell renderer.

`data`

  Type: `gpointer`

  Data for `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`dnotify`

  Type: `GDestroyNotify`

  Destroy notifier for `data`.

#### Return value

Type: `int`

Number of columns in the tree view post-insert.